<!DOCTYPE html>
<html>
<head>
    <title>Leaflet Map</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <link rel="stylesheet" href="https://unpkg.com/leaflet-draw@1.0.4/dist/leaflet.draw.css" />
    <style>
        #map {
            height: 400px;
        }
    </style>
</head>
<body>
    <h1>Leaflet Map with Bounding Box Selection</h1>
    <div id="map"></div>
    <button id="generateDataButton">Generate Data</button>

    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
    <script src="https://unpkg.com/leaflet-draw@1.0.4/dist/leaflet.draw.js"></script>
    <script>
        var map = L.map('map').setView([0, 0], 2);
        
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);

        var drawnItems = new L.FeatureGroup();
        map.addLayer(drawnItems);

        var drawControl = new L.Control.Draw({
            draw: {
                rectangle: true,
                polygon: false,
                circle: false,
                marker: false,
                polyline: false
            },
            edit: {
                featureGroup: drawnItems
            }
        });
        map.addControl(drawControl);

        map.on(L.Draw.Event.CREATED, function (event) {
            var layer = event.layer;
            drawnItems.clearLayers();
            drawnItems.addLayer(layer);
        });

        var generateDataButton = document.getElementById("generateDataButton");
        generateDataButton.addEventListener("click", function () {
            var bounds = drawnItems.getBounds();
            var xmin = bounds.getSouthWest().lng;
            var ymin = bounds.getSouthWest().lat;
            var xmax = bounds.getNorthEast().lng;
            var ymax = bounds.getNorthEast().lat;

            var url = `http://127.0.0.1:5000/data?theme=buildings&limit=10&xmin=${xmin}&ymin=${ymin}&xmax=${xmax}&ymax=${ymax}`;
            window.location.href = url;
        });
    </script>
</body>
</html>
